#!/bin/sh

if [ -z "$1" ]; then
	echo "--------------------------------------------------------------"
	echo " mls 0.6.7 static version install."
	echo ""
	echo " ./install.sh [installpath]"
	echo ""
	echo " ex)"
	echo " ./install.sh /usr/bin"
	echo "--------------------------------------------------------------"
	exit 0
fi

installpath=$1
install -c -m 755 ./bin/mls $installpath
install -c -m 755 ./sh/mls.sh $installpath

if test -w /usr/share/locale/ko/LC_MESSAGES; then 
	install -c -m 644 ./locale/mls_euckr.mo ./locale/mls_utf8.mo /usr/share/locale/ko/LC_MESSAGES 
fi
	
if test -w /etc/profile.d ; then 
	install -c -m 755 ./sh/mls_alias.sh /etc/profile.d 
fi
	
if ! test -d /etc/mls ; then \
	if test -w /etc ; then \
		mkdir /etc/mls \
	; fi \
; fi 
if ! test -d ~/.mls ; then \
	mkdir ~/.mls \
; fi 

if test -w /etc ; then \
	install -c -m 644 ./sh/mls.cfg \
					./sh/mls.col \
					./sh/mls.key \
					./sh/mlseditor.key \
					/etc/mls \
; else \
	install -c -m 644 ./sh/mls.cfg \
					./sh/mls.col \
					./sh/mls.key \
					./sh/mlseditor.key \
					~/.mls \
; fi

echo "Install complite..."

